Bug 4516 - Character shift in MARC21 Field 008
Summary: Character shift in MARC21 Field 008
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: master
Hardware: All All
: PATCH-Sent (DO NOT USE) minor (vote)
Assignee: Marcel de Rooy
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-05-17 12:17 UTC by Marcel de Rooy
Modified: 2010-11-04 09:57 UTC (History)
0 users

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2010-05-21 01:28:05 UTC


---- Reported by m.de.rooy@rijksmuseum.nl 2010-05-17 12:17:54 ----

If the fields 15-17 and 35-37 are not filled with three characters, field 008 is not saved correctly. The javascript code in the associated template should enforce this to prevent unnnecessary data corruption.

Two small adjustments in marc21_field_008.tmpl.
Patch sent.



---- Additional Comments From gmcharlt@gmail.com 2010-05-17 14:38:16 ----

Patch pushed to HEAD for inclusion in 3.2.



--- Bug imported by chris@bigballofwax.co.nz 2010-05-21 01:28 UTC  ---

This bug was previously known as _bug_ 4516 at http://bugs.koha.org/cgi-bin/bugzilla3/show_bug.cgi?id=4516

Actual time not defined. Setting to 0.0
Setting qa contact to the default for this product.
   This bug either had no qa contact or an invalid one.